Scroller for jQuery and jQuery Mobile

Updated on May 17, 2021

jQuery Scroller Scroller for jQuery and jQuery Mobile

Scroller - Price Range

Change demo
Price Range
Custom JQuery scroller with two wheels for picking a price-range featuring range validation for correct selections. For jQuery or jQuery Mobile.
Copy code

Scroller - Custom Units

Change demo
Custom Units
Copy code

Scroller - Date range

Change demo
Date range
Custom JQuery scroller with two wheels for picking a date-range featuring start/end validation for correct selections. For jQuery or jQuery Mobile.
Copy code

Scroller - Event handlers

Change demo
Event handlers
JQuery Scroller component with event hooks for custom integration and functionality. With source code. For jQuery or jQuery Mobile.
Clear event log
EVENTS FIRED: 
Copy code

Scroller - Display modes

Change demo
Display modes
Custom JQuery mobile scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For jQuery or jQuery Mobile.
Copy code
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

$(function () {

    $('#demo-bottom').mobiscroll().scroller({
        display: 'bottom',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: [{
                    value: 0,
                    display: 'a'
                }, {
                    value: 1,
                    display: 'b'
                }, {
                    value: 2,
                    display: 'c'
                }, {
                    value: 3,
                    display: 'd'
                }]
            }]
        ]
    });

    $('#demo-top').mobiscroll().scroller({
        display: 'top',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: [{
                    value: 0,
                    display: 'a'
                }, {
                    value: 1,
                    display: 'b'
                }, {
                    value: 2,
                    display: 'c'
                }, {
                    value: 3,
                    display: 'd'
                }]
            }]
        ]
    });

    $('#demo-center').mobiscroll().scroller({
        display: 'center',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: [{
                    value: 0,
                    display: 'a'
                }, {
                    value: 1,
                    display: 'b'
                }, {
                    value: 2,
                    display: 'c'
                }, {
                    value: 3,
                    display: 'd'
                }]
            }]
        ]
    });

    $('#demo-bubble').mobiscroll().scroller({
        display: 'bubble',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: [{
                    value: 0,
                    display: 'a'
                }, {
                    value: 1,
                    display: 'b'
                }, {
                    value: 2,
                    display: 'c'
                }, {
                    value: 3,
                    display: 'd'
                }]
            }]
        ]
    });

    $('#demo-inline').mobiscroll().scroller({
        display: 'inline',
        layout: 'liquid',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: [{
                    value: 0,
                    display: 'a'
                }, {
                    value: 1,
                    display: 'b'
                }, {
                    value: 2,
                    display: 'c'
                }, {
                    value: 3,
                    display: 'd'
                }]
            }]
        ]
    });

});
<div mbsc-form>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Try different display modes</div>
        <label>
            Bottom
            <input mbsc-input id="demo-bottom" placeholder="Please Select..." />
        </label>
        <label>
            Top
            <input mbsc-input id="demo-top" type="text" placeholder="Please Select..." />
        </label>
        <label>
            Center
            <input mbsc-input id="demo-center" type="text" placeholder="Please Select..." />
        </label>
        <label>
            Bubble
            <input mbsc-input id="demo-bubble" type="text" placeholder="Please Select..." />
        </label>
    </div>
    <div class="mbsc-form-group mbsc-padding">
        <p class="mbsc-thin">With inline display you can embed the Scroller component in almost any markup or form.</p>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Embedded scroller picker</div>
        <div id="demo-inline"></div>
    </div>
</div>

Scroller - Desktop

Change demo
Desktop
Custom JQuery dropdown with multiple wheel support. Use it with pointer interaction, scrollable wheels with or without buttons. For jQuery or jQuery Mobile.
Copy code

Scroller - Theming capabilities

Change demo
Theming capabilities

The look and feel of the scroller can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Scroller for React

Updated on May 17, 2021

React Scroller Scroller for React

Scroller - Price Range

Change demo
Price Range
Custom React scroller with two wheels for picking a price-range featuring range validation for correct selections. For React and Next.JS.
Copy code

Scroller - Custom Units

Change demo
Custom Units
Copy code

Scroller - Date range

Change demo
Date range
Custom React scroller with two wheels for picking a date-range featuring start/end validation for correct selections. For React and Next.JS.
Copy code

Scroller - Event handlers

Change demo
Event handlers
React Scroller component with event hooks for custom integration and functionality. With source code. For React and Next.JS.
Clear event log
EVENTS FIRED: 
Copy code

Scroller - Display modes

Change demo
Display modes
Custom React mobile scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

const wheels = [
    [{
        label: 'First wheel',
        data: ['0', '1', '2', '3', '4', '5', '6', '7']
    }, {
        label: 'Second wheel',
        data: [{
            value: 0,
            display: 'a'
        }, {
            value: 1,
            display: 'b'
        }, {
            value: 2,
            display: 'c'
        }, {
            value: 3,
            display: 'd'
        }]
    }]
];

class App extends React.Component {
    render() {
        return (
            <mobiscroll.Form >
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Try different display modes</mobiscroll.FormGroupTitle>
                    <mobiscroll.Scroller display="bottom" wheels={wheels}>
						<mobiscroll.Input placeholder="Please Select...">Bottom</mobiscroll.Input>
					</mobiscroll.Scroller>
					<mobiscroll.Scroller display="top" wheels={wheels}>
						<mobiscroll.Input placeholder="Please Select...">Top</mobiscroll.Input>
					</mobiscroll.Scroller>
					<mobiscroll.Scroller display="center" wheels={wheels}>
						<mobiscroll.Input placeholder="Please Select...">Center</mobiscroll.Input>
					</mobiscroll.Scroller>
					<mobiscroll.Scroller display="bubble" wheels={wheels}>
						<mobiscroll.Input placeholder="Please Select...">Bubble</mobiscroll.Input>
					</mobiscroll.Scroller>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup className="mbsc-padding">
                    <p className="mbsc-thin">With inline display you can embed the Scroller component in almost any markup or form.</p>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Embedded scroller picker</mobiscroll.FormGroupTitle>
                    <mobiscroll.Scroller type="hidden" display="inline" wheels={wheels} />
                </mobiscroll.FormGroup>
            </mobiscroll.Form>
        );
    }   
}

<div id="content"></div>

Scroller - Desktop

Change demo
Desktop
Custom React dropdown with multiple wheel support. Use it with pointer interaction, scrollable wheels with or without buttons. For React and Next.JS.
Copy code

Scroller - Theming capabilities

Change demo
Theming capabilities

The look and feel of the scroller can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Scroller for Angular and Ionic Framework

Updated on May 17, 2021

Angular and Ionic Scroller Scroller for Angular and Ionic Framework

Scroller - Price Range

Change demo
Price Range
Custom Angular scroller with two wheels for picking a price-range featuring range validation for correct selections. For Angular 22 and Ionic 8.
Copy code

Scroller - Custom Units

Change demo

Scroller - Date range

Change demo
Date range
Custom Angular scroller with two wheels for picking a date-range featuring start/end validation for correct selections. For Angular 22 and Ionic 8.
Copy code

Scroller - Event handlers

Change demo
Event handlers
Angular Scroller component with event hooks for custom integration and functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code

Scroller - Display modes

Change demo
Display modes
Custom Angular mobile scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { mobiscroll } from '@mobiscroll/angular';

mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    mydata = [{
        value: 0,
        display: 'a'
    }, {
        value: 1,
        display: 'b'
    }, {
        value: 2,
        display: 'c'
    }, {
        value: 3,
        display: 'd'
    }];

    scrollerSettings: any = {
        display: 'bottom',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: this.mydata
            }]
        ]
    };

    scrollerTopSettings: any = {
        display: 'top',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: this.mydata
            }]
        ]
    };
    scrollerCenterSettings: any = {
        display: 'center',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: this.mydata
            }]
        ]
    };
    scrollerBubbleSettings: any = {
        display: 'bubble',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: this.mydata
            }]
        ]
    };
    scrollerInlineSettings: any = {
        display: 'inline',
        layout: 'liquid',
        wheels: [
            [{
                label: 'First wheel',
                data: ['0', '1', '2', '3', '4', '5', '6', '7']
            }, {
                label: 'Second wheel',
                data: this.mydata
            }]
        ]
    };
}
<mbsc-form>
    <mbsc-form-group>
        <mbsc-form-group-title>Try different display modes</mbsc-form-group-title>
        <mbsc-scroller [(ngModel)]="scroller" [options]="scrollerSettings" placeholder="Please select...">Bottom</mbsc-scroller>
        <mbsc-scroller [(ngModel)]="scrollerTop" [options]="scrollerTopSettings" placeholder="Please select...">Top</mbsc-scroller>
        <mbsc-scroller [(ngModel)]="scrollerCenter" [options]="scrollerCenterSettings" placeholder="Please select...">Center</mbsc-scroller>
        <mbsc-scroller [(ngModel)]="scrollerBubble" [options]="scrollerBubbleSettings" placeholder="Please select...">Bubble</mbsc-scroller>
    </mbsc-form-group>
    <mbsc-form-group class="mbsc-padding">
        <p class="mbsc-thin">With inline display you can embed the Scroller component in almost any markup or form.</p>
    </mbsc-form-group>
    <mbsc-form-group>
        <mbsc-form-group-title>Embedded scroller picker</mbsc-form-group-title>
        <mbsc-scroller [(ngModel)]="scrollerInline" [options]="scrollerInlineSettings" type="hidden"></mbsc-scroller>
    </mbsc-form-group>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Scroller - Desktop

Change demo
Desktop
Custom Angular dropdown with multiple wheel support. Use it with pointer interaction, scrollable wheels with or without buttons. For Angular 22 and Ionic 8.
Copy code

Scroller - Theming capabilities

Change demo
Theming capabilities

The look and feel of the scroller can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos